### Constructor

# Gtk MessageDialog new_with_markup

#### Declaration [src]

    GtkWidget*
    gtk_message_dialog_new_with_markup (
      GtkWindow* parent,
      GtkDialogFlags flags,
      GtkMessageType type,
      GtkButtonsType buttons,
      const char* message_format,
      ...
    )

#### Description [src]

Creates a new message dialog.

This is a simple dialog with some text that is marked up with Pango markup. When the user clicks a button a “response” signal is emitted with response IDs from `GtkResponseType`. See `GtkDialog` for more details.

Special XML characters in the printf() arguments passed to this function will automatically be escaped as necessary. (See g_markup_printf_escaped() for how this is implemented.) Usually this is what you want, but if you have an existing Pango markup string that you want to use literally as the label, then you need to use gtk_message_dialog_set_markup() instead, since you can’t pass the markup string either as the format (it might contain “%” characters) or as a string argument.

`c GtkWidget *dialog; GtkDialogFlags flags = GTK_DIALOG_DESTROY_WITH_PARENT; dialog = gtk_message_dialog_new (parent_window, flags, GTK_MESSAGE_ERROR, GTK_BUTTONS_CLOSE, NULL); gtk_message_dialog_set_markup (GTK_MESSAGE_DIALOG (dialog), markup);`.

#### Parameters

`parent` | `GtkWindow`
| Transient parent.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`flags` | `GtkDialogFlags`
| Flags.
`type` | `GtkMessageType`
| Type of message.
`buttons` | `GtkButtonsType`
| Set of buttons to use.
`message_format` | `const char*`
| Printf()-style format string.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`...` | ``
| Arguments for `message_format`.

#### Return value

Returns: | `GtkWidget`
| A new `GtkMessageDialog`.
| The data is owned by the called function.